Agents
Retrieve a collection of call queue agents.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwResponses
200
OK
application/json
4XX
Error
get/call_queues/{id}/agents
GET /api/call_queues/{id}/agents HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"extension_number": "text",
"display_name": "text",
"skill_level": 1
}
]
}Update call queue agent list.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwBody
Responses
200
OK
No content
4XX
Error
post/call_queues/{id}/agents
POST /api/call_queues/{id}/agents HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55
{
"items": [
{
"extension_number": "text",
"skill_level": 1
}
]
}No content
Retrieve information of call queue agent.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwagent_numberstring · min: 3 · max: 64RequiredPattern:
The extension number.
[0-9]{3,64}Responses
200
OK
application/json
extension_numberstring · min: 3 · max: 64OptionalPattern:
The extension number.
[0-9]{3,64}display_namestring · max: 1024Optional
The display name of user.
skill_levelinteger · int32 · min: 1 · max: 100OptionalDefault:
The skill level of agent in queue.
Only valid when polling_strategy is skill based.
1statusstring · enumRead-onlyOptionalPossible values:
Current status of agent:
READY:NOT_READY:QUEUE_CALL:OTHER_CALL:WRAP_UP:BREAK:LUNCH:TRANSFER:CONSULT_TRANSFER:ON_HOLD:LOGGED_OUT:OFFLINE:
4XX
Error
get/call_queues/{id}/agents/{agent_number}
GET /api/call_queues/{id}/agents/{agent_number} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"extension_number": "text",
"display_name": "text",
"skill_level": 1,
"status": "READY"
}Set call queue agent status.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwagent_numberstring · min: 3 · max: 64RequiredPattern:
The extension number.
[0-9]{3,64}Body
statusstring · enumOptionalExample:
Change call queue agent status to one of the following:
READY:NOT_READY:WRAP_UP:BREAK:LUNCH:LOGGED_IN:LOGGED_OUT:
READYPossible values: Responses
200
OK
No content
4XX
Error
post/call_queues/{id}/agents/{agent_number}
POST /api/call_queues/{id}/agents/{agent_number} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"status": "READY"
}No content
Was this helpful?